Index: branches/ScatterSearch (trunk integration)/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimization.cs
===================================================================
--- branches/ScatterSearch (trunk integration)/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimization.cs	(revision 7787)
+++ branches/ScatterSearch (trunk integration)/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimization.cs	(revision 8331)
@@ -64,21 +64,21 @@
       get { return (IValueParameter<MultiAnalyzer>)Parameters["Analyzer"]; }
     }
-    public ConstrainedValueParameter<IParticleCreator> ParticleCreatorParameter {
-      get { return (ConstrainedValueParameter<IParticleCreator>)Parameters["ParticleCreator"]; }
-    }
-    public ConstrainedValueParameter<IParticleUpdater> ParticleUpdaterParameter {
-      get { return (ConstrainedValueParameter<IParticleUpdater>)Parameters["ParticleUpdater"]; }
-    }
-    public OptionalConstrainedValueParameter<ITopologyInitializer> TopologyInitializerParameter {
-      get { return (OptionalConstrainedValueParameter<ITopologyInitializer>)Parameters["TopologyInitializer"]; }
-    }
-    public OptionalConstrainedValueParameter<ITopologyUpdater> TopologyUpdaterParameter {
-      get { return (OptionalConstrainedValueParameter<ITopologyUpdater>)Parameters["TopologyUpdater"]; }
-    }
-    public OptionalConstrainedValueParameter<IDiscreteDoubleValueModifier> InertiaUpdaterParameter {
-      get { return (OptionalConstrainedValueParameter<IDiscreteDoubleValueModifier>)Parameters["InertiaUpdater"]; }
-    }
-    public ConstrainedValueParameter<ISwarmUpdater> SwarmUpdaterParameter {
-      get { return (ConstrainedValueParameter<ISwarmUpdater>)Parameters["SwarmUpdater"]; }
+    public IConstrainedValueParameter<IParticleCreator> ParticleCreatorParameter {
+      get { return (IConstrainedValueParameter<IParticleCreator>)Parameters["ParticleCreator"]; }
+    }
+    public IConstrainedValueParameter<IParticleUpdater> ParticleUpdaterParameter {
+      get { return (IConstrainedValueParameter<IParticleUpdater>)Parameters["ParticleUpdater"]; }
+    }
+    public IConstrainedValueParameter<ITopologyInitializer> TopologyInitializerParameter {
+      get { return (IConstrainedValueParameter<ITopologyInitializer>)Parameters["TopologyInitializer"]; }
+    }
+    public IConstrainedValueParameter<ITopologyUpdater> TopologyUpdaterParameter {
+      get { return (IConstrainedValueParameter<ITopologyUpdater>)Parameters["TopologyUpdater"]; }
+    }
+    public IConstrainedValueParameter<IDiscreteDoubleValueModifier> InertiaUpdaterParameter {
+      get { return (IConstrainedValueParameter<IDiscreteDoubleValueModifier>)Parameters["InertiaUpdater"]; }
+    }
+    public IConstrainedValueParameter<ISwarmUpdater> SwarmUpdaterParameter {
+      get { return (IConstrainedValueParameter<ISwarmUpdater>)Parameters["SwarmUpdater"]; }
 
     }
Index: branches/ScatterSearch (trunk integration)/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/Plugin.cs.frame
===================================================================
--- branches/ScatterSearch (trunk integration)/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/Plugin.cs.frame	(revision 7787)
+++ branches/ScatterSearch (trunk integration)/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/Plugin.cs.frame	(revision 8331)
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Algorithms.ParticleSwarmOptimization plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Algorithms.ParticleSwarmOptimization", "3.3.6.$WCREV$")]
+  [Plugin("HeuristicLab.Algorithms.ParticleSwarmOptimization", "3.3.7.$WCREV$")]
   [PluginFile("HeuristicLab.Algorithms.ParticleSwarmOptimization-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Analysis", "3.3")]
Index: branches/ScatterSearch (trunk integration)/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/ScatterSearch (trunk integration)/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/Properties/AssemblyInfo.cs.frame	(revision 7787)
+++ branches/ScatterSearch (trunk integration)/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/Properties/AssemblyInfo.cs.frame	(revision 8331)
@@ -53,3 +53,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.6.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.7.$WCREV$")]
